#ifndef SCSIMULATOR_H
#define SCSIMULATOR_H

#include <QObject>

class ScSimulator /*: public QObject*/
{
    //Q_OBJECT
public:
    explicit ScSimulator(); //QObject *parent = 0);

    void reset();
    void setCenter(int x, int y);

    unsigned int nextSweep(float delta_time, float angle, float vx, float vy, unsigned int rbins, float**data);

signals:

public slots:

private:
    class Implementation;
    Implementation& p_;
};

#endif // SCSIMULATOR_H
